configure: Don't force _WIN32_WINNT to an older version if targeting winphone/winrt